Package wx :: Package lib :: Package ogl :: Class PolygonControlPoint

[frames | no frames]

## Type PolygonControlPoint

         object --+
                  |
    ShapeEvtHandler --+
                      |
                  Shape --+
                          |
             RectangleShape --+
                              |
                   ControlPoint --+
                                  |
                                 PolygonControlPoint

Method Summary
| `__init__(self, theCanvas, object, size, vertex, the_xoffset, the_yoffset)`
| `CalculateNewSize(self, x, y)`
| `GetNewSize(self)`
| `OnBeginDragLeft(self, x, y, keys, attachment)`
| `OnDragLeft(self, draw, x, y, keys, attachment)`
| `OnEndDragLeft(self, x, y, keys, attachment)`

Class Variable Summary

Generated by Epydoc 2.1.20050511.rpd on Wed Sep 26 13:47:42 2007 | http://epydoc.sf.net